import os
import sys

backup = False

hosts = ['ahorn', 'erle', 'linde']
__basepath__ = '/usr/data'
entries = (
    ('dirk@%s:/usr/data', __basepath__, None),
    ('dirk@%s:/home', '/home', None),
)


for host in hosts:
    for remote, local, skip in entries:
        setattr(sys.modules[__name__], host + '_' + os.path.basename(local) + '_remotepath', remote % host)
        setattr(sys.modules[__name__], host + '_' + os.path.basename(local) + '_localpath', local)
        if skip is not None:
            setattr(sys.modules[__name__], host + '_' + os.path.basename(local) + '_skip', skip)


mount_mockery_audio_remotepath = 'root@mount-mockery.de:/data/audio'
mount_mockery_audio_localpath = os.path.join(__basepath__, 'dirk', 'Audio')

